import logger from '../../../utils/logger'
import utils from '../../../utils/utils'
import { Request, SubmoduleData } from '../../../types/basicTypes'

function setup(data: SubmoduleData): void {
  const { app, /* userDB, url, */ publicdirs /* moduleSpecificData */ } = data

  const publicDir = publicdirs[0]

  const userFilesDir = publicDir + 'userFiles'

  app.get('/listUserFiles', (req: Request, res) => {
    logger.LogReq(req)

    if (!utils.FileExists(userFilesDir)) {
      utils.CreatePath(userFilesDir, true)
    }

    res.json({
      files: utils.ReadDir(userFilesDir),
    })
  })
}

export default {
  setup: setup,
}
